import Vue from 'vue'
import Router from 'vue-router'
import Home from '@/components/Home'
import InvitingRegiment from '@/components/InvitingRegiment'
import HelpCollage from '@/components/HelpCollage' 
import Detail from '@/components/Detail' 
import OrderEditing from '@/components/OrderEditing'
import GuideDownloadApp from '@/components/GuideDownloadApp'
import CollageRecommend from '@/components/assembly/CollageRecommend'

Vue.use(Router)

export default new Router({
//	mode: 'history',//去掉路由地址的#
//	base: '/yiTownWebApp/',//这个配置也很重要，否则会出现页面空白情况
routes: [
    {
      path: '/',
      name: 'home',
      component: Home,
      meta: {
        pageTitle: '主页',
        keepAlive: true
      }
    },
    {
      path: '/invitingRegiment',
      name: 'invitingRegiment',
      component: InvitingRegiment
    },
    {
      path: '/helpCollage',
      name: 'helpCollage',
      component: HelpCollage
    },
    {
      path: '/detail',
      name: 'detail',
      component: Detail
    },
    {
    	path: '/orderEditing',
    	name: 'orderEditing',
    	component: OrderEditing
    },
    {
    	path: '/guideDownloadApp',
    	name: 'guideDownloadApp',
    	component: GuideDownloadApp
    },
    {
    	path: '/collageRecommend',
    	name: 'collageRecommend',
    	component: CollageRecommend
    }
  ]
})