import Vue from 'vue'
import Router from 'vue-router'
import Home from '@/components/Home'
import navClassify from '@/components/navClassify'
import searchTerm from '@/components/searchTerm'
import classify from '@/components/classify'
import spdetails from '@/components/spDetails'
import searchBack from '@/components/searchBack'
import myHeader from '@/components/header/header'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'home',
      components:{
        content:  Home,
        header: myHeader
      }
    },{
      path: '/navClassify',
      name: 'navClassify',
      components:{
        navClassify:  navClassify,
        header: myHeader
      }
    },{
      path: '/searchTerm',
      name: 'searchTerm',
      components:{
        searchTerm:  searchTerm
      }
    },{
      path: '/classify',
      name: 'classify',
      components:{
        classify:  classify
      }
    },{
      path: '/spdetails',
      name: 'spdetails',
      components:{
        spdetails:  spdetails
      }
    }, {
      path: '/searchBack',
      name: 'searchBack',
      components:{
        searchBack:  searchBack
      }
    }
  ]
})
